/*
/////////////////////////////////////////////////

  DV Codec "Iris" DirectX Media Object CLSID `

  (c) 2002-2003 VSYNC
/////////////////////////////////////////////////
*/


#ifndef __IDVIRISDMO__
#define __IDVIRISDMO__

#ifdef __cplusplus
extern "C" {
#endif

#ifndef DVIRIS_X86
#define DVIRIS_X86	(0)
#define DVIRIS_MMX	(1)
#define DVIRIS_SSE	(2)
#define DVIRIS_SSE2	(3)

#define DVIRIS_NORMAL	(0)
#define DVIRIS_HIQUALITY	(1)
#define DVIRIS_HISPEED	(2)
#define DVIRIS_DRAFT	(3)
#endif

#ifndef __MEDIASUBTYPE_YP48__
#define __MEDIASUBTYPE_YP48__
// {38345059-0000-0010-8000-00AA00389B71}
DEFINE_GUID(MEDIASUBTYPE_YP48,
0x38345059, 0x0000, 0x0010, 0x80, 0x00, 0x00, 0xaa, 0x00, 0x38, 0x9b, 0x71);
#endif




// {25DA50DC-CB9E-4220-BE9F-0EF7C83B0E7F}
DEFINE_GUID(CLSID_DVIrisDMODecoder,
0x25da50dc, 0xcb9e, 0x4220, 0xbe, 0x9f, 0xe, 0xf7, 0xc8, 0x3b, 0xe, 0x7f);


// {85F785C0-CBB5-48e3-B19C-D566227AFEF6}
DEFINE_GUID(CLSID_DVIrisDMOEncoder,
0x85f785c0, 0xcbb5, 0x48e3, 0xb1, 0x9c, 0xd5, 0x66, 0x22, 0x7a, 0xfe, 0xf6);






#ifndef __IID_IDVIris__
#define __IID_IDVIris__

// {E1D7E0DB-36CC-4367-A298-266B1D3DD355}
DEFINE_GUID(CLSID_DVIrisDSPropertyPage,
0xe1d7e0db, 0x36cc, 0x4367, 0xa2, 0x98, 0x26, 0x6b, 0x1d, 0x3d, 0xd3, 0x55);

// {E0026AC7-8A69-4e95-9F7A-3ACAF8980FB6}
DEFINE_GUID(CLSID_DVIrisDSPropertyPage2, 
0xe0026ac7, 0x8a69, 0x4e95, 0x9f, 0x7a, 0x3a, 0xca, 0xf8, 0x98, 0xf, 0xb6);

	// {9233606C-FDF1-40f1-8345-B7281F2FA486}
	DEFINE_GUID(IID_IDVIris,
	0x9233606c, 0xfdf1, 0x40f1, 0x83, 0x45, 0xb7, 0x28, 0x1f, 0x2f, 0xa4, 0x86);

	DECLARE_INTERFACE_(IDVIris, IUnknown)
	{

        STDMETHOD(get_Registry) (THIS_
					void
                 ) PURE;

        STDMETHOD(put_Registry) (THIS_
					void
                 ) PURE;

        STDMETHOD(get_InstructionSet) (THIS_
					DWORD *pdwFlag
                 ) PURE;

        STDMETHOD(put_InstructionSet) (THIS_
					DWORD dwFlag
                 ) PURE;

        STDMETHOD(get_Quality) (THIS_
					DWORD *pdwFlag
                 ) PURE;

        STDMETHOD(put_Quality) (THIS_
					DWORD dwFlag
                 ) PURE;

        STDMETHOD(get_ForceRGB) (THIS_
					BOOL *pbFlag
                 ) PURE;

        STDMETHOD(put_ForceRGB) (THIS_
					BOOL bFlag
                 ) PURE;

        STDMETHOD(get_WideMode) (THIS_
					BOOL *pbFlag
                 ) PURE;

        STDMETHOD(put_WideMode) (THIS_
					BOOL bFlag
                 ) PURE;

        STDMETHOD(get_YCStraight) (THIS_
					BOOL *pbFlag
                 ) PURE;

        STDMETHOD(put_YCStraight) (THIS_
					BOOL bFlag
                 ) PURE;

        STDMETHOD(get_ErrorConcealment) (THIS_
					BOOL *pbFlag
                 ) PURE;

        STDMETHOD(put_ErrorConcealment) (THIS_
					BOOL bFlag
                 ) PURE;

        STDMETHOD(get_DetectRedBlock) (THIS_
					BOOL *pbFlag
                 ) PURE;

        STDMETHOD(put_DetectRedBlock) (THIS_
					BOOL bFlag
                 ) PURE;

        STDMETHOD(get_EsteemSNRatio) (THIS_
					BOOL *pbFlag
                 ) PURE;

        STDMETHOD(put_EsteemSNRatio) (THIS_
					BOOL bFlag
                 ) PURE;

        STDMETHOD(get_DropYCbCrAccuracy) (THIS_
					BOOL *pbFlag
                 ) PURE;

        STDMETHOD(put_DropYCbCrAccuracy) (THIS_
					BOOL bFlag
                 ) PURE;

        STDMETHOD(get_ThreadCount) (THIS_
					DWORD *pdwFlag
                 ) PURE;

        STDMETHOD(put_ThreadCount) (THIS_
					DWORD dwFlag
                 ) PURE;

        STDMETHOD(get_DisregardDecodeSize) (THIS_
					BOOL *pbFlag
                 ) PURE;

        STDMETHOD(put_DisregardDecodeSize) (THIS_
					BOOL bFlag
                 ) PURE;


	};

#endif


#ifdef __cplusplus
}
#endif

#endif // __IDVIRISDS__

